﻿Imports DotNetNuke
Imports DotNetNuke.Common
Imports DotNetNuke.Services.Exceptions
Imports DotNetNuke.Services.Localization

Namespace YourCompany.Modules.$safeprojectname$
    Public Class Edit$safeprojectname$Presenter

#Region "Private Members"
        Private View As IEdit$safeprojectname$
        Private Controller As I$safeprojectname$Controller
#End Region

#Region "Page Events"
        Public Sub New(ByVal _View As IEdit$safeprojectname$)
            View = _View
            Controller = New $safeprojectname$Controller()
        End Sub

        Public Sub New(ByVal _View As IEdit$safeprojectname$, ByVal _Controller As I$safeprojectname$Controller)
            View = _View
            Controller = _Controller
        End Sub

        Public Sub OnViewLoad(ByVal LoadForm As Boolean)
            Try
                '' If this is the first visit to the page, bind the role data to the datalist
                If LoadForm = False Then

                    If Not Utilities.Null.IsNull(View.ItemId) Then
                        ' get content
                        Dim obj$safeprojectname$ As $safeprojectname$Info = Controller.Get$safeprojectname$(View.ModuleId, View.ItemId)
                        If Not obj$safeprojectname$ Is Nothing Then
                            View.EditorContent = obj$safeprojectname$.Content
                            View.AuditCreatedByUser = obj$safeprojectname$.CreatedByUserName
                            View.AuditCreatedDate = obj$safeprojectname$.CreatedDate.ToString
                        Else ' security violation attempt to access item not related to this Module
                            View.SecurityViolation = True
                        End If
                    Else
                        View.DeleteButtonVisible = False
                        View.AuditControlVisible = False
                    End If
                End If
            Catch exc As Exception
                View.Exception = exc
            End Try
        End Sub

        Public Sub OnCancel()
            View.Redirect = True
        End Sub

        Public Sub OnUpdate()
            Try

                Dim obj$safeprojectname$ As $safeprojectname$Info = New $safeprojectname$Info

                obj$safeprojectname$.ModuleId = View.ModuleId
                obj$safeprojectname$.ItemId = View.ItemId
                obj$safeprojectname$.Content = View.EditorContent
                obj$safeprojectname$.CreatedByUser = View.UserId

                If Common.Utilities.Null.IsNull(View.ItemId) Then
                    ' add the content within the $safeprojectname$ table
                    Dim ItemId As Integer = Controller.Add$safeprojectname$(obj$safeprojectname$)
                    If ItemId = Null.NullInteger Then
                        Throw New Exception("Add Exception")
                    End If
                Else
                    ' update the content within the $safeprojectname$ table
                    Controller.Update$safeprojectname$(obj$safeprojectname$)
                End If

                ' Redirect back to the portal home page
                View.Redirect = True
            Catch exc As Exception    'Module failed to load
                View.Exception = exc
            End Try
        End Sub

        Public Sub OnDelete()
            Try
                ' Only attempt to delete the item if it exists already
                Dim obj$safeprojectname$ As $safeprojectname$Info = Controller.Get$safeprojectname$(View.ModuleId, View.ItemId)
                If Not obj$safeprojectname$ Is Nothing Then
                    Controller.Delete$safeprojectname$(View.ModuleId, View.ItemId)
                    ' Redirect back to the portal home page
                    View.Redirect = True
                Else ' security violation attempt to access item not related to this Module
                    View.SecurityViolation = True
                End If
            Catch exc As Exception
                View.Exception = exc
            End Try
        End Sub

#End Region

    End Class
End Namespace

