'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2005
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
Imports DotNetNuke.Services.Exceptions


Namespace YourCompany.Modules.$safeprojectname$

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' The Edit$safeprojectname$ class is used to manage content
    ''' </summary>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Partial Class Edit$safeprojectname$
        Inherits DotNetNuke.UI.Modules.ModuleUserControlBase
        Implements IEdit$safeprojectname$


        Protected Presenter As New Edit$safeprojectname$Presenter(Me)

#Region "Event Handlers"

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Page_Load runs when the control is loaded
        ''' </summary>
        ''' <remarks>
        ''' </remarks>
        ''' <history>
        ''' </history>
        ''' -----------------------------------------------------------------------------
        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            SetupView()
            Presenter.OnViewLoad(Page.IsPostBack)
        End Sub

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' cmdCancel_Click runs when the cancel button is clicked
        ''' </summary>
        ''' <remarks>
        ''' </remarks>
        ''' <history>
        ''' </history>
        ''' -----------------------------------------------------------------------------
        Private Sub cmdCancel_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdCancel.Click
            Presenter.OnCancel()
        End Sub

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' cmdUpdate_Click runs when the update button is clicked
        ''' </summary>
        ''' <remarks>
        ''' </remarks>
        ''' <history>
        ''' </history>
        ''' -----------------------------------------------------------------------------
        Private Sub cmdUpdate_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdUpdate.Click
            Presenter.OnUpdate()
        End Sub

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' cmdDelete_Click runs when the delete button is clicked
        ''' </summary>
        ''' <remarks>
        ''' </remarks>
        ''' <history>
        ''' </history>
        ''' -----------------------------------------------------------------------------
        Private Sub cmdDelete_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdDelete.Click
            Presenter.OnDelete()
        End Sub

#End Region

#Region "Private Methods"
        Private Sub SetupView()
            Try
                cmdDelete.Attributes.Add("onClick", "javascript:return confirm('" & Localization.GetString("DeleteItem") & "');")
            Catch ex As Exception
                ProcessModuleLoadException(Me, ex)
            End Try
        End Sub
#End Region

#Region "IEdit$safeprojectname$"

        Public Property AuditControlVisible() As Boolean Implements IEdit$safeprojectname$.AuditControlVisible
            Get
                Return ctlAudit.Visible
            End Get
            Set(ByVal value As Boolean)
                ctlAudit.Visible = value
            End Set
        End Property

        Public Property DeleteButtonVisible() As Boolean Implements IEdit$safeprojectname$.DeleteButtonVisible
            Get
                Return cmdDelete.Visible
            End Get
            Set(ByVal value As Boolean)
                cmdDelete.Visible = value
            End Set
        End Property

        Public WriteOnly Property AuditCreatedByUser() As String Implements IEdit$safeprojectname$.AuditCreatedByUser
            Set(ByVal value As String)
                ctlAudit.CreatedByUser = value
            End Set
        End Property

        Public WriteOnly Property AuditCreatedDate() As String Implements IEdit$safeprojectname$.AuditCreatedDate
            Set(ByVal value As String)
                ctlAudit.CreatedDate = value
            End Set
        End Property

        Public Property EditorContent() As String Implements IEdit$safeprojectname$.EditorContent
            Get
                Return txtContent.Text
            End Get
            Set(ByVal value As String)
                txtContent.Text = value
            End Set
        End Property

        Public WriteOnly Property Exception() As System.Exception Implements IEdit$safeprojectname$.Exception
            Set(ByVal value As System.Exception)
                ProcessModuleLoadException(Me, value)
            End Set
        End Property

        Public ReadOnly Property ItemId() As Integer Implements IEdit$safeprojectname$.ItemId
            Get
                Dim _itemId As Integer
                If (Int32.TryParse(Request.QueryString("ItemId"), _itemId)) Then
                    Return _itemId
                Else
                    Return Null.NullInteger
                End If
            End Get
        End Property

        Public WriteOnly Property SecurityViolation() As Boolean Implements IEdit$safeprojectname$.SecurityViolation
            Set(ByVal value As Boolean)
                Response.Redirect(NavigateURL())
            End Set
        End Property

        Public WriteOnly Property Redirect() As Boolean Implements IEdit$safeprojectname$.Redirect
            Set(ByVal value As Boolean)
                Response.Redirect(NavigateURL())
            End Set
        End Property

        Public ReadOnly Property UserId() As Integer Implements IEdit$safeprojectname$.UserId
            Get
                Return UserId
            End Get
        End Property

        Public ReadOnly Property ModuleId() As Integer Implements IEdit$safeprojectname$.ModuleId
            Get
                Return ModuleId
            End Get
        End Property

        Public ReadOnly Property Settings() As System.Collections.Hashtable Implements IEdit$safeprojectname$.Settings
            Get
                Return Me.ModuleContext.Settings
            End Get
        End Property

#End Region

    End Class

End Namespace