'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2005
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
Imports System.Web.UI
Imports System.Collections.Generic
Imports System.Reflection

Imports DotNetNuke
Imports DotNetNuke.Common.Utilities
Imports DotNetNuke.Services.Exceptions
Imports DotNetNuke.Services.Localization

Namespace YourCompany.Modules.$safeprojectname$
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' The View$safeprojectname$ class displays the content
    ''' </summary>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Partial Class View$safeprojectname$
        Inherits DotNetNuke.UI.Modules.ModuleUserControlBase
        Implements Entities.Modules.IActionable
        Implements IView$safeprojectname$


        Protected Presenter As New View$safeprojectname$Presenter(Me, New $safeprojectname$Controller)

#Region "Event Handlers"


        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Page_Load runs when the control is loaded
        ''' </summary>
        ''' <remarks>
        ''' </remarks>
        ''' <history>
        ''' </history>
        ''' -----------------------------------------------------------------------------
        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            Presenter.OnViewLoad()
        End Sub

        Private Sub lstContent_ItemDataBound(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.DataListItemEventArgs) Handles lstContent.ItemDataBound
            Dim lblContent As Label = CType(e.Item.FindControl("lblContent"), Label)
            lblContent.Text = Presenter.PrepareCurrentRow(e.Item.DataItem)
        End Sub

#End Region

#Region "Optional Interfaces"

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Registers the module actions required for interfacing with the portal framework
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        ''' <history>
        ''' </history>
        ''' -----------------------------------------------------------------------------
        Public ReadOnly Property ModuleActions() As Entities.Modules.Actions.ModuleActionCollection Implements Entities.Modules.IActionable.ModuleActions
            Get
                Dim Actions As New Entities.Modules.Actions.ModuleActionCollection
                Actions.Add(ModuleContext.GetNextActionID, Localization.GetString(Entities.Modules.Actions.ModuleActionType.AddContent, LocalResourceFile), Entities.Modules.Actions.ModuleActionType.AddContent, "", "", ModuleContext.EditUrl(), False, Security.SecurityAccessLevel.Edit, True, False)
                Return Actions
            End Get
        End Property

#End Region

#Region "IView$safeprojectname$"
        Public WriteOnly Property col$safeprojectname$s() As System.Collections.Generic.List(Of $safeprojectname$Info) Implements IView$safeprojectname$.col$safeprojectname$s
            Set(ByVal value As System.Collections.Generic.List(Of $safeprojectname$Info))
                lstContent.DataSource = value
                lstContent.DataBind()
            End Set
        End Property

        Public WriteOnly Property Exception() As System.Exception Implements IView$safeprojectname$.Exception
            Set(ByVal value As System.Exception)
                ProcessModuleLoadException(Me, value)
            End Set
        End Property

        Public ReadOnly Property ItemId() As Integer Implements IView$safeprojectname$.ItemId
            Get
                Dim _itemId As Integer
                If (Int32.TryParse(Request.QueryString("ItemId"), _itemId)) Then
                    Return _itemId
                Else
                    Return Null.NullInteger
                End If
            End Get
        End Property

        Public ReadOnly Property UserIdView() As Integer Implements IView$safeprojectname$.UserId
            Get
                Return Me.ModuleContext.PortalSettings.UserId
            End Get
        End Property

        Public ReadOnly Property ModuleId() As Integer Implements IView$safeprojectname$.ModuleId
            Get
                Return Me.ModuleContext.ModuleId
            End Get
        End Property

        Public WriteOnly Property Redirect() As Boolean Implements IView$safeprojectname$.Redirect
            Set(ByVal value As Boolean)
                Response.Redirect(NavigateURL())
            End Set
        End Property

        Public ReadOnly Property Content() As String Implements IView$safeprojectname$.Content
            Get
                Return Localization.GetString("DefaultContent", LocalResourceFile)
            End Get
        End Property

        Public ReadOnly Property Settings() As Hashtable Implements IView$safeprojectname$.Settings
            Get
                Return Me.ModuleContext.Settings
            End Get
        End Property
#End Region

    End Class

End Namespace
