﻿using System;
using System.Text;
using System.Collections.Generic;

using Microsoft.VisualStudio.TestTools.UnitTesting;
using $safeprojectname$.MockViews;
using YourCompany.Modules.$safeprojectname$;
using $safeprojectname$.Mocks;

namespace $safeprojectname$
{
    /// <summary>
    /// Summary description for View$safeprojectname$Fixture
    /// </summary>
    [TestClass]
    public class View$safeprojectname$Fixture
    {
        MockView$safeprojectname$ _view;
        View$safeprojectname$Presenter _view$safeprojectname$Presenter;

        public View$safeprojectname$Fixture()
        {
            _view = new MockView$safeprojectname$();
            Mock$safeprojectname$Controller _mock$safeprojectname$Controller = new Mock$safeprojectname$Controller();
            _view$safeprojectname$Presenter = new View$safeprojectname$Presenter(_view, _mock$safeprojectname$Controller);
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        [Description("Loads the View page ready to view an existing item")]
        [Owner("Philip Beadle")]
        public void ViewPageLoad()
        {
            _view.ModuleId = MockHelper.ValidModuleId;
            _view$safeprojectname$Presenter.OnViewLoad();
            Assert.AreEqual(2, _view.col$safeprojectname$s.Count);
        }

        [TestMethod]
        [Description("Loads the View page ready to view a new item")]
        [Owner("Philip Beadle")]
        public void ViewPageLoadAddNewItem()
        {
            _view.ModuleId = 10;
            _view$safeprojectname$Presenter.OnViewLoad();
            Assert.AreEqual(1, _view.col$safeprojectname$s.Count);
        }
    }
}
