using System;
using System.Collections.Generic;

namespace DotNetNukeMVPWizard.ProjectConfiguration
{
    public interface IMvpMultiProjectConfiguration
    {
        string ErrorMessages { get; }
        void FillDictionary(Dictionary<string, string> replacementDictionary);
        void SetIisAppRootUrl(string value);
        void SetPathIisAppRootUrl(string value);
        void SetProjectNamespaceName(string value);
        void SetParentProjectName(string value);
        void SetYourCompany(string value);
        string IisUrl { get; }
        string IisAppRootUrl { get; }
        string PathIisAppRootUrl { get; }
        string Dependencies { get; }
        string DependenciesGallio { get; }
        string DependenciesMoq { get; }
        string DependenciesWatiN { get; }
        string ProjectNamespaceName { get; }
        string ParentProjectName { get; }
        string SafeParentProjectName { get; }
        string YourCompany { get; }
        string SafeYourCompany { get; }
        bool IsValid { get; }
        bool IsValidIisAppRootUrl { get; }
        bool IsValidPathIisAppRootUrl { get; }
        bool IsValidProjectNamespaceName { get; }
        bool IsValidParentProjectName { get; }
        bool IsValidYourCompany { get; }
    }
}
