using System;

namespace DotNetNukeMVPWizard.ProjectConfiguration
{
    public class TextConfiguration : AbstractConfiguration
    {
        public TextConfiguration(string key)
            : base(key)
        {
        }

        public TextConfiguration(string key, string errorReason)
            : base(key, errorReason)
        {
        }
        public TextConfiguration(string key, string errorReason, bool isOptional)
            : base(key, errorReason, isOptional)
        {            
        }
         

        public override string Value
        {
            get { return base.Value; }
            set
            {
                if (string.IsNullOrEmpty(value))
                    value = string.Empty;
                base.Value = value;
            }
        }
    }
}
