﻿using System;
using System.Collections.Generic;
using System.Text;

namespace $safeprojectname$.Tests
{
    using System.Configuration;
    using System.IO;

    public static class TestEnvironment
    {
        public static string ConnectionString
        {
            get
            {
                return string.Format("Server={0};Database={1};uid={2};pwd={3};", DatabaseServer, DatabaseName, "sa", "Il2rmhatt");
            }
        }

        public static string ObjectQualifier
        {
            get
            {
                return ConfigurationManager.AppSettings["ObjectQualifier"];
            }
        }

        public static string DatabaseServer
        {
            get
            {
                return ConfigurationManager.AppSettings["DatabaseServer"];
            }
        }

        public static string DatabaseOwner
        {
            get
            {
                return ConfigurationManager.AppSettings["DatabaseOwner"];
            }
        }

        public static string DatabaseName
        {
            get
            {
                return ConfigurationManager.AppSettings["DatabaseName"];
            }
        }

        public static string DatabaseUser
        {
            get
            {
                return ConfigurationManager.AppSettings["DatabaseUser"];
            }
        }

        public static string DatabasePassword
        {
            get
            {
                return ConfigurationManager.AppSettings["DatabasePassword"];
            }
        }

        public static string DatabasePath
        {
            get
            {
                return ConfigurationManager.AppSettings["DatabasePath"];
            }
        }

        public static string DesktopModulesFolderPath
        {
            get
            {
                return ConfigurationManager.AppSettings["DesktopModulesFolderPath"];
            }
        }

    }
}
