﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace $safeprojectname$.UI.Tests
{
    using DotNetNuke.Tests.UI.WatiN.Common;
    using DotNetNuke.Tests.UI.WatiN.Common.WatiNObjects;

    using MbUnit.Framework;

    using WatiN.Core;

    [TestFixture]
    public class TDDModuleTests : TestBase
    {
        private IE _instance;
        private EditPage _editPage;

        [SetUp]
        public void SetUp()
        {
            _instance = WatiNUtil.OpenIEInstance(SiteURL, SilentMode, IETimeOut, AutoCloseIE);
            var homePage = new WatiNBase(_instance, SiteURL);
            var loginPage = new LoginPage(homePage);
            loginPage.LoginUser(TestUsers.AdminUpdatedPassword.UserName, TestUsers.AdminUpdatedPassword.Password);
            _instance.GoTo(SiteURL + "/TDDModule.aspx");
            _editPage = new EditPage(homePage);
        }

        [TearDown]
        public void TearDown()
        {
            _instance.GoTo(SiteURL + "/LogOff.aspx");
            WatiNUtil.CloseIEInstance(_instance);
        }

        [Test]
        public void Module_Loads_At_Least_One_Record()
        {
            
        }
    }
}
