'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2005
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Imports System
Imports DotNetNuke

''' -----------------------------------------------------------------------------
''' <summary>
''' An abstract class for the data access layer
''' </summary>
''' <remarks>
''' </remarks>
''' <history>
''' </history>
''' -----------------------------------------------------------------------------
Public MustInherit Class DataProvider
    Implements IDataProvider


#Region "Shared/Static Methods"

    ' return the provider
    Public Shared Function Instance() As DataProvider
        Return DotNetNuke.ComponentModel.ComponentFactory.GetComponent(Of DataProvider)()
    End Function

#End Region


    Public MustOverride Function AddZParentProjectNameZ(ByVal ModuleId As Integer, ByVal Content As String, ByVal UserId As Integer) As Integer Implements IDataProvider.AddZParentProjectNameZ

    Public MustOverride Sub DeleteZParentProjectNameZ(ByVal ModuleId As Integer, ByVal ItemId As Integer) Implements IDataProvider.DeleteZParentProjectNameZ

    Public MustOverride Function GetZParentProjectNameZ(ByVal ModuleId As Integer, ByVal ItemId As Integer) As System.Data.IDataReader Implements IDataProvider.GetZParentProjectNameZ

    Public MustOverride Function GetZParentProjectNameZs(ByVal ModuleId As Integer) As System.Data.IDataReader Implements IDataProvider.GetZParentProjectNameZs

    Public MustOverride Sub UpdateZParentProjectNameZ(ByVal ModuleId As Integer, ByVal ItemId As Integer, ByVal Content As String, ByVal UserId As Integer) Implements IDataProvider.UpdateZParentProjectNameZ

End Class
