'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2005
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Imports DotNetNuke.Entities.Modules


''' -----------------------------------------------------------------------------
''' <summary>
''' The Info class for ZParentProjectNameZ
''' </summary>
''' <remarks>
''' </remarks>
''' <history>
''' </history>
''' -----------------------------------------------------------------------------
<Serializable()> _
Public Class ZParentProjectNameZInfo
    Implements IHydratable

    ' local property declarations
    Private _ModuleId As Integer
    Private _ItemId As Integer
    Private _Content As String
    Private _DisplayContent As String
    Private _CreatedByUser As Integer
    Private _CreatedDate As DateTime
    Private _CreatedByUserName As String

    ' initialization
    Public Sub New()
    End Sub

    Public Sub New(ByVal mId As Integer, ByVal uId As Integer)
        ModuleId = mId
        ItemId = Null.NullInteger
        CreatedByUser = uId
        CreatedDate = Now
    End Sub

    ' public properties
    Public Property ModuleId() As Integer
        Get
            Return _ModuleId
        End Get
        Set(ByVal Value As Integer)
            _ModuleId = Value
        End Set
    End Property

    Public Property ItemId() As Integer
        Get
            Return _ItemId
        End Get
        Set(ByVal Value As Integer)
            _ItemId = Value
        End Set
    End Property

    Public Property DisplayContent() As String
        Get
            Return _DisplayContent
        End Get
        Set(ByVal Value As String)
            _DisplayContent = Value
        End Set
    End Property

    Public Property Content() As String
        Get
            Return _Content
        End Get
        Set(ByVal Value As String)
            _Content = Value
        End Set
    End Property

    Public Property CreatedByUser() As Integer
        Get
            Return _CreatedByUser
        End Get
        Set(ByVal Value As Integer)
            _CreatedByUser = Value
        End Set
    End Property

    Public Property CreatedDate() As DateTime
        Get
            Return _CreatedDate
        End Get
        Set(ByVal Value As DateTime)
            _CreatedDate = Value
        End Set
    End Property

    Public Property CreatedByUserName() As String
        Get
            Return _CreatedByUserName
        End Get
        Set(ByVal Value As String)
            _CreatedByUserName = Value
        End Set
    End Property

    Public Sub Fill(ByVal dr As System.Data.IDataReader) Implements DotNetNuke.Entities.Modules.IHydratable.Fill
        ItemId = Null.SetNullInteger(dr("ItemId"))
        ModuleId = Null.SetNullInteger(dr("ModuleId"))
        Content = Null.SetNullString(dr("Content"))
        CreatedByUser = Null.SetNullInteger(dr("CreatedByUser"))
        CreatedByUserName = Null.SetNullString(dr("CreatedByUserName"))
        CreatedDate = Null.SetNullDateTime(dr("CreatedDate"))
    End Sub

    Public Property KeyID() As Integer Implements DotNetNuke.Entities.Modules.IHydratable.KeyID
        Get
            Return ItemId
        End Get
        Set(ByVal value As Integer)
            ItemId = value
        End Set
    End Property
End Class
