'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2005
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
Imports DotNetNuke.Entities.Modules.Actions
Imports DotNetNuke.Services.Exceptions
Imports DotNetNuke.Web.Mvp
Imports DotNetNuke.Entities.Modules
Imports WebFormsMvp


''' -----------------------------------------------------------------------------
''' <summary>
''' The EditZParentProjectNameZ class is used to manage content
''' </summary>
''' <remarks>
''' </remarks>
''' <history>
''' </history>
''' -----------------------------------------------------------------------------
<PresenterBinding(GetType(EditZParentProjectNameZPresenter))> _
Partial Class EditZParentProjectNameZ
    Inherits ModuleView(Of EditZParentProjectNameZModel)
    Implements IEditZParentProjectNameZ

#Region "Event Handlers"

    Private Sub cmdCancel_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdCancel.Click
        RaiseEvent Cancel(Me, e)
    End Sub

    Private Sub cmdUpdate_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdUpdate.Click
        Model.Item = New ZParentProjectNameZInfo()
        Model.Item.Content = txtContent.Text
        RaiseEvent Save(Me, New UIEventArgs(Of ZParentProjectNameZInfo)(Model.Item))
    End Sub

    Private Sub cmdDelete_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdDelete.Click
        RaiseEvent Delete(Me, e)
    End Sub

#End Region

#Region "IEditZParentProjectNameZ"


    Public Sub ShowAuditControl(ByVal show As Boolean) Implements IEditZParentProjectNameZ.ShowAuditControl
        ctlAudit.Visible = show
    End Sub

    Public Sub ShowDeleteButton(ByVal show As Boolean) Implements IEditZParentProjectNameZ.ShowDeleteButton
        cmdDelete.Visible = show
    End Sub

    Public Event Cancel As EventHandler Implements IEditZParentProjectNameZ.Cancel
    Public Event Delete As EventHandler Implements IEditZParentProjectNameZ.Delete
    Public Event Save As EventHandler(Of UIEventArgs(Of ZParentProjectNameZInfo)) Implements IEditZParentProjectNameZ.Save
#End Region

End Class
